pages:
  stage: deploy
  tags: 
    - docker # use shared runner
  image: maven:3.6.3-adoptopenjdk-15
  script:
    - cd de.hftstuttgart.energycomponents.parent
    - mvn --version
#    - mvn clean install   # build p2 repo
    - cd ..
    - rm -rf public
    - mkdir -p public
    - pwd
    - ls -l
    - cp catalogs/Catalog.encomp public
    - cp site/downloads.html public
#    - cp de.hftstuttgart.energycomponents.application.product/target/products/*.zip public
  artifacts:
    paths:
      - public
  only:
  - master
